.c-socials {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0 0.5rem;

  @include xs {
    gap: 0 1rem;
  }

  &--dark {
    > a {
      background-color: $blue;
    }
  }

  &__item {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    border-radius: 50%;
    background-color: $white;
    transition: all 0.2s ease-in-out;

    svg {
      width: 1.8rem;
      height: 1.6rem;
    }

    &:hover {
      background-color: $blue;

      svg,
      path {
        fill: $white;
      }
    }

    .c-socials--dark & {
      width: 3rem;
      height: 3rem;

      svg {
        width: 1.3rem;
        height: 1.1rem;
      }

      &:hover {
        background-color: rgba($blue, 0.1);
  
        svg,
        path {
          fill: $blue;
        }
      }
    }

    svg,
    path {
      transition: all 0.2s ease-in-out;
    }
  }
}